﻿@model IEnumerable<Microsoft.AspNetCore.Identity.IdentityRole>

@{
    ViewData["Title"] = "Administración de roles";
}

<h1 class="text-center">Administración de Roles</h1>

@if (TempData["Correcto"] is not null)
{
    <div class="alert alert-success alert-dismissible fade show" role="alert">
        @TempData["Correcto"]
        <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
    </div>
}

@if (TempData["Error"] is not null)
{
    <div class="alert alert-danger alert-dismissible fade show" role="alert">
        @TempData["Error"]
        <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
    </div>
}

<div class="row">
    <div class="col-sm-3 offset-9">
        <a asp-action="Crear" asp-controller="Roles" class="btn btn-primary w-100">Crear nuevo rol</a>
    </div>
</div>

<div class="row">
    <div class="col-sm-12">

        <div class="card border">
            <div class="card-header">
                <h3><strong>Lista de roles</strong></h3>
            </div>
        </div>

        <div class="card-body">
            <div class="table-responsive">
                @if (Model.Count() > 0)
                {
                    <table class="d-lg-table table-bordered" id="tablaRoles" width="100%" cellspacing="0">
                        <thead>
                            <tr>
                                <th>Id</th>
                                <th>Nombre</th>
                                <th>Acciones</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach (var item in Model)
                            {
                                <tr>
                                    <td>@Html.DisplayFor(m => item.Id)</td>
                                    <td>@Html.DisplayFor(m => item.Name)</td>
                                    <td>
                                        <a class="btn btn-primary" asp-controller="Roles" asp-action="Editar" asp-route-id="@item.Id">Editar</a>
                                        <form asp-action="Borrar" asp-route-id="@item.Id">
                                            <button type="submit" onclick="return confirm('¿Está seguro de borrar este registro?')" class="btn btn-danger">Borrar</button>
                                        </form>
                                    </td>
                                </tr>
                            }
                        </tbody>
                    </table>
                }
                else
                {
                    <p>No hay registros.</p>
                }
            </div>
        </div>

    </div>
</div>

@section Scripts {
    @{
        await Html.RenderPartialAsync("_ValidationScriptsPartial");
    }

    <script type="text/javascript">
        $(document).ready(function () {
            $('#tablaRoles').DataTable({
                language: {
                    "decimal": "",
                    "emptyTable": "No hay información",
                    "info": "Mostrando _START_ a _END_ de _TOTAL_ Enttradas",
                    "infoEmpty": "Mostrando 0 a 0 de 0 Entradas",
                    "infoFiltered": "(Filtrado de _MAX_ total entradas)",
                    "infoPostFix": "",
                    "thousands": ",",
                    "lengthMenu": "Mostrar _MENU_ Entradas",
                    "loadingRecords": "Cargando...",
                    "processing": "Procesando...",
                    "search": "Buscar:",
                    "zeroRecords": "Sin resultados encontrados",
                    "paginate": {
                        "first": "Primero",
                        "last": "Último",
                        "next": "Siguiente",
                        "previous": "Anterior"
                    }
                }
            });
        })
    </script>
}